org.apache.olingo.odata2.api.edm

## Class EdmSimpleTypeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.olingo.odata2.api.exception.ODataException
      - - org.apache.olingo.odata2.api.exception.ODataMessageException
        - - org.apache.olingo.odata2.api.edm.EdmException
          - - org.apache.olingo.odata2.api.edm.EdmSimpleTypeException

- All Implemented Interfaces:
    Serializable

      public class EdmSimpleTypeException
      extends EdmException

  See Also:
    Serialized Form
  Do not implement this interface or derive from class.
    Exception for parsing errors with `EdmSimpleType`s

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MessageReference` | `COMMON`
    `static MessageReference` | `LITERAL_FACETS_NOT_MATCHED`
    `static MessageReference` | `LITERAL_ILLEGAL_CONTENT`
    `static MessageReference` | `LITERAL_KIND_MISSING`
    `static MessageReference` | `LITERAL_KIND_NOT_SUPPORTED`
    `static MessageReference` | `LITERAL_NULL_NOT_ALLOWED`
    `static MessageReference` | `LITERAL_UNCONVERTIBLE_TO_VALUE_TYPE`
    `static MessageReference` | `PROPERTY_VALUE_FACETS_NOT_MATCHED`
    `static MessageReference` | `PROPERTY_VALUE_NULL_NOT_ALLOWED`
    `static MessageReference` | `VALUE_FACETS_NOT_MATCHED`
    `static MessageReference` | `VALUE_ILLEGAL_CONTENT`
    `static MessageReference` | `VALUE_NULL_NOT_ALLOWED`
    `static MessageReference` | `VALUE_TYPE_NOT_SUPPORTED`

    - ### Fields inherited from class org.apache.olingo.odata2.api.edm.EdmException

      `ASSOCIATIONNOTFOUND, ENTITYTYPEPROBLEM, MUSTBENAVIGATIONPROPERTY, MUSTBEPROPERTY, NAMINGERROR, NAVIGATIONPROPERTYNOTFOUND, PROPERTYNOTFOUND, PROVIDERPROBLEM, TYPEPROBLEM`

    - ### Fields inherited from class org.apache.olingo.odata2.api.exception.ODataMessageException

      `errorCode, messageReference`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdmSimpleTypeException(MessageReference messageReference)`
    `EdmSimpleTypeException(MessageReference messageReference, String errorCode)`
    `EdmSimpleTypeException(MessageReference messageReference, Throwable cause)`
    `EdmSimpleTypeException(MessageReference messageReference, Throwable cause, String errorCode)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MessageReference` | `getMessageReference(MessageReference messageReference)`

    - ### Methods inherited from class org.apache.olingo.odata2.api.exception.ODataMessageException

      `createMessageReference, getErrorCode, getMessage, getMessageReference`

    - ### Methods inherited from class org.apache.olingo.odata2.api.exception.ODataException

      `getApplicationExceptionCause, getHttpExceptionCause, getMessageExceptionCause, isCausedByApplicationException, isCausedByHttpException, isCausedByMessageException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### COMMON

          public static final MessageReference COMMON

    - #### LITERAL_KIND_MISSING

          public static final MessageReference LITERAL_KIND_MISSING

    - #### LITERAL_KIND_NOT_SUPPORTED

          public static final MessageReference LITERAL_KIND_NOT_SUPPORTED

    - #### LITERAL_NULL_NOT_ALLOWED

          public static final MessageReference LITERAL_NULL_NOT_ALLOWED

    - #### LITERAL_ILLEGAL_CONTENT

          public static final MessageReference LITERAL_ILLEGAL_CONTENT

    - #### LITERAL_FACETS_NOT_MATCHED

          public static final MessageReference LITERAL_FACETS_NOT_MATCHED

    - #### LITERAL_UNCONVERTIBLE_TO_VALUE_TYPE

          public static final MessageReference LITERAL_UNCONVERTIBLE_TO_VALUE_TYPE

    - #### VALUE_TYPE_NOT_SUPPORTED

          public static final MessageReference VALUE_TYPE_NOT_SUPPORTED

    - #### VALUE_NULL_NOT_ALLOWED

          public static final MessageReference VALUE_NULL_NOT_ALLOWED

    - #### VALUE_ILLEGAL_CONTENT

          public static final MessageReference VALUE_ILLEGAL_CONTENT

    - #### VALUE_FACETS_NOT_MATCHED

          public static final MessageReference VALUE_FACETS_NOT_MATCHED

    - #### PROPERTY_VALUE_NULL_NOT_ALLOWED

          public static final MessageReference PROPERTY_VALUE_NULL_NOT_ALLOWED

    - #### PROPERTY_VALUE_FACETS_NOT_MATCHED

          public static final MessageReference PROPERTY_VALUE_FACETS_NOT_MATCHED

  - ### Constructor Detail

    - #### EdmSimpleTypeException

          public EdmSimpleTypeException(MessageReference messageReference)

    - #### EdmSimpleTypeException

          public EdmSimpleTypeException(MessageReference messageReference,
                                        Throwable cause)

    - #### EdmSimpleTypeException

          public EdmSimpleTypeException(MessageReference messageReference,
                                        String errorCode)

    - #### EdmSimpleTypeException

          public EdmSimpleTypeException(MessageReference messageReference,
                                        Throwable cause,
                                        String errorCode)

  - ### Method Detail

    - #### getMessageReference

          public static MessageReference getMessageReference(MessageReference messageReference)

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.